searchData={"items":[{"type":"module","title":"Omise","doc":"Omise client library for Elixir.","ref":"Omise.html"},{"type":"function","title":"Omise.configure/1","doc":"Configure public_key, secret_key and api_version for Omise API.","ref":"Omise.html#configure/1"},{"type":"function","title":"Examples - Omise.configure/1","doc":"# configure both public_key and secret_key\n    Omise.configure(public_key: \"public_key\", secret_key: \"secret_key\")\n\n    # configure only secret_key\n    Omise.configure(secret_key: \"secret_key\")\n\n    # configure api_verion\n    Omise.configure(secret_key: \"secret_key\", api_verion: \"api_verion\")","ref":"Omise.html#configure/1-examples"},{"type":"module","title":"Omise.Account","doc":"Provides Account API interfaces.","ref":"Omise.Account.html"},{"type":"function","title":"Omise.Account.retrieve/1","doc":"Retrieve the account.\n\nReturns `{:ok, account}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Account.html#retrieve/1"},{"type":"function","title":"Examples - Omise.Account.retrieve/1","doc":"Omise.Account.retrieve\n\n    Omise.Account.retrieve(key: \"skey_56ia27lqtvg32u7iww8\")","ref":"Omise.Account.html#retrieve/1-examples"},{"type":"type","title":"Omise.Account.t/0","doc":"","ref":"Omise.Account.html#t:t/0"},{"type":"module","title":"Omise.Balance","doc":"Provides Balance API interfaces.","ref":"Omise.Balance.html"},{"type":"function","title":"Omise.Balance.retrieve/1","doc":"Retrieve the balance.\n\nReturns `{:ok, balance}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Balance.html#retrieve/1"},{"type":"function","title":"Examples - Omise.Balance.retrieve/1","doc":"Omise.Balance.retrieve\n\n    Omise.Balance.retrieve(key: \"skey_56ia27lqtvg32u7iww8\")","ref":"Omise.Balance.html#retrieve/1-examples"},{"type":"type","title":"Omise.Balance.t/0","doc":"","ref":"Omise.Balance.html#t:t/0"},{"type":"module","title":"Omise.BankAccount","doc":"Omise Bank Account Struct.","ref":"Omise.BankAccount.html"},{"type":"type","title":"Omise.BankAccount.t/0","doc":"","ref":"Omise.BankAccount.html#t:t/0"},{"type":"module","title":"Omise.Barcode","doc":"Provides Barcode API interfaces.","ref":"Omise.Barcode.html"},{"type":"type","title":"Omise.Barcode.t/0","doc":"","ref":"Omise.Barcode.html#t:t/0"},{"type":"module","title":"Omise.Capability","doc":"Provides Capability API interfaces.","ref":"Omise.Capability.html"},{"type":"function","title":"Omise.Capability.retrieve/0","doc":"Retrieve the capability.\n\nReturns `{:ok, capability}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Capability.html#retrieve/0"},{"type":"function","title":"Examples - Omise.Capability.retrieve/0","doc":"Omise.Capability.retrieve","ref":"Omise.Capability.html#retrieve/0-examples"},{"type":"type","title":"Omise.Capability.t/0","doc":"","ref":"Omise.Capability.html#t:t/0"},{"type":"module","title":"Omise.Card","doc":"Provides Card API interfaces.","ref":"Omise.Card.html"},{"type":"type","title":"Omise.Card.t/0","doc":"","ref":"Omise.Card.html#t:t/0"},{"type":"module","title":"Omise.Charge","doc":"Provides Charge API interfaces.","ref":"Omise.Charge.html"},{"type":"function","title":"Omise.Charge.capture/2","doc":"Capture a charge.\n\nReturns `{:ok, charge}` if the request is successful, `{:error, error}` otherwise.\n\n***NOTE***:\nIf you have created a charge and passed `capture=false` you'll have an authorized only charge that you can capture at a later time.\nYou can hold it for as long as permitted by the issuing bank. This delay may vary between cards from 1 to 30 days.\nTo create a partial capture charge you must set your charge `authorization_type=\"pre_auth\"` and `capture=false` then you can partially capture the charge with `capture_amount=amount`","ref":"Omise.Charge.html#capture/2"},{"type":"function","title":"Examples - Omise.Charge.capture/2","doc":"Omise.Charge.capture(\"chrg_test_4xso2s8ivdej29pqnhz\")\n    Omise.Charge.capture(\"chrg_test_4xso2s8ivdej29pqnhz\", key: \"skey_test_123\", capture_amount: 3000)","ref":"Omise.Charge.html#capture/2-examples"},{"type":"function","title":"Omise.Charge.create/2","doc":"Create a charge.\n\nReturns `{:ok, charge}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Charge.create/2","doc":"* `customer` - (required or optional) A valid `CUSTOMER_ID` that has at least one card already associated.\n    By default the default card of the customer will be used.\n    This parameter is required unless passing a `TOKEN_ID` in the card parameter.\n  * `card` - (required or optional) A valid unused `TOKEN_ID` or `CARD_ID`.\n    In the case of the `CARD_ID` the customer parameter must be present and be the owner of the card.\n    For the `TOKEN_ID`, the customer must not be passed.\n  * `amount` - (required) The amount in the smallest subunits of the currency used.\n    For thb (Thai Baht) you'll need to pass the amount in satangs.\n  * `currency` - (required) The currency in which you want the charge to be done. The default and only valid value is thb.\n  * `description` - (optional) A custom description for the charge. This value can be searched for in your dashboard.\n  * `capture` - (optional) Whether or not you want the charge to be captured right away, when not specified it is set to true.\n  * `return_uri` - (optional) The url where we will return the customer after the charge has been authorized with 3-D Secure.","ref":"Omise.Charge.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Charge.create/2","doc":"# Charge a card using a token.\n    Omise.Charge.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      card: \"tokn_test_51w6fvilnsxalda4cih\"\n    )\n\n    # Charge a card using a customer.\n    Omise.Charge.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      customer: \"cust_test_51vtchzn51al0jaa92q\"\n    )\n\n    # Charge a card using a customer and a card.\n    Omise.Charge.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      customer: \"cust_test_51vtchzn51al0jaa92q\",\n      card: \"card_test_51w6jblhhpzmc2g8bcm\"\n    )\n\n    # Create an internet banking charge\n    Omise.Charge.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      return_uri: \"https://example.com/orders/123/complete\",\n      source: \"src_test_59vbms154ab4pe4jh2i\"\n    )\n\n    # Create a bill payment charge\n    Omise.Charge.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      source: \"src_test_59vb8av645gxw48glui\"\n    )","ref":"Omise.Charge.html#create/2-examples"},{"type":"function","title":"Omise.Charge.list/2","doc":"List all charges.\n\nReturns `{:ok, charges}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Charge.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Charge.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Charge.list/2","doc":"Omise.Charge.list\n\n    Omise.Charge.list(limit: 10)","ref":"Omise.Charge.html#list/2-examples"},{"type":"function","title":"Omise.Charge.list_refunds/3","doc":"List all refunds.\n\nReturns `{:ok, refunds}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#list_refunds/3"},{"type":"function","title":"Query Parameters: - Omise.Charge.list_refunds/3","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Charge.html#list_refunds/3-query-parameters"},{"type":"function","title":"Examples - Omise.Charge.list_refunds/3","doc":"Omise.Charge.list_refunds(\"chrg_test_52oo08bwpgnwb95rye8\")","ref":"Omise.Charge.html#list_refunds/3-examples"},{"type":"function","title":"Omise.Charge.list_schedules/2","doc":"List all charge schedules.\n\nReturns `{:ok, schedules}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#list_schedules/2"},{"type":"function","title":"Query Parameters: - Omise.Charge.list_schedules/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Charge.html#list_schedules/2-query-parameters"},{"type":"function","title":"Examples - Omise.Charge.list_schedules/2","doc":"Omise.Charge.list_schedules","ref":"Omise.Charge.html#list_schedules/2-examples"},{"type":"function","title":"Omise.Charge.refund/3","doc":"Create a refund.\n\nReturns `{:ok, refund}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#refund/3"},{"type":"function","title":"Request Parameters: - Omise.Charge.refund/3","doc":"* `amount` - The amount in the smallest subunits of the currency used.\n    So for thb (Thai Baht) you'll need to pass the amount in satangs.","ref":"Omise.Charge.html#refund/3-request-parameters"},{"type":"function","title":"Examples - Omise.Charge.refund/3","doc":"Omise.Charge.refund(\"chrg_test_520jim7x8u6t4si58va\", amount: 100_00)","ref":"Omise.Charge.html#refund/3-examples"},{"type":"function","title":"Omise.Charge.retrieve/2","doc":"Retrieve a charge.","ref":"Omise.Charge.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Charge.retrieve/2","doc":"Omise.Charge.retrieve(\"chrg_test_4xso2s8ivdej29pqnhz\")","ref":"Omise.Charge.html#retrieve/2-examples"},{"type":"function","title":"Omise.Charge.retrieve_refund/3","doc":"Retrieve a refund.\n\nReturns `{:ok, refund}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#retrieve_refund/3"},{"type":"function","title":"Examples - Omise.Charge.retrieve_refund/3","doc":"Omise.Charge.retrieve_refund(\"chrg_test_520jim7x8u6t4si58va\", \"rfnd_test_4zgf1d7jcw5kr123puq\")","ref":"Omise.Charge.html#retrieve_refund/3-examples"},{"type":"function","title":"Omise.Charge.reverse/2","doc":"Reverse an uncaptured charge.\n\nReturns `{:ok, charge}` if the request is successful, `{:error, error}` otherwise.\n\n***NOTE***:\nIf you have created a charge and passed `capture=false`,\nyou'll have an authorized only charge that can be reversed, release hold money, at a later time.","ref":"Omise.Charge.html#reverse/2"},{"type":"function","title":"Examples - Omise.Charge.reverse/2","doc":"Omise.Charge.reverse(\"chrg_test_4xso2s8ivdej29pqnhz\")","ref":"Omise.Charge.html#reverse/2-examples"},{"type":"function","title":"Omise.Charge.search/2","doc":"Search all the charges.\n\nReturns `{:ok, charges}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#search/2"},{"type":"function","title":"Query Parameters: - Omise.Charge.search/2","doc":"","ref":"Omise.Charge.html#search/2-query-parameters"},{"type":"function","title":"Examples - Omise.Charge.search/2","doc":"Omise.Charge.search(filters: [paid: true])\n\n    Omise.Charge.search(query: \"omise\")","ref":"Omise.Charge.html#search/2-examples"},{"type":"function","title":"Omise.Charge.update/3","doc":"Update a charge.\n\nReturns `{:ok, charge}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Charge.html#update/3"},{"type":"function","title":"Request Parameters: - Omise.Charge.update/3","doc":"* `description` - (optional) A custom description for the charge. This value can be searched for in your dashboard.","ref":"Omise.Charge.html#update/3-request-parameters"},{"type":"function","title":"Examples - Omise.Charge.update/3","doc":"Omise.Charge.update(\"chrg_test_4xso2s8ivdej29pqnhz\",\n      description: \"The funny thing is that when I am okay, oh it makes me wish for rain\")","ref":"Omise.Charge.html#update/3-examples"},{"type":"type","title":"Omise.Charge.t/0","doc":"","ref":"Omise.Charge.html#t:t/0"},{"type":"module","title":"Omise.Customer","doc":"Provides Customer API interfaces.","ref":"Omise.Customer.html"},{"type":"function","title":"Omise.Customer.create/2","doc":"Create a customer.\n\nReturns `{:ok, customer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Customer.create/2","doc":"* `email` - (optional) Customer's email.\n  * `description` - (optional) A custom description for the customer.\n  * `card` - (optional) A card token in case you want to add a card to the customer.","ref":"Omise.Customer.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Customer.create/2","doc":"# Create a customer without attaching a card\n    Omise.Customer.create(\n      email: \"lucius@omise.co\",\n      description: \"You know, it almost makes me wish for rain\"\n    )\n\n    # Create a customer and attach a card\n    Omise.Customer.create(\n      email: \"grouplove@omise.co\",\n      description: \"Don't take me tongue tied\",\n      card: \"tokn_test_51yer81s9aqqyktdoeh\"\n    )","ref":"Omise.Customer.html#create/2-examples"},{"type":"function","title":"Omise.Customer.destroy/2","doc":"Destroy a customer.\n\nReturns `{:ok, customer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#destroy/2"},{"type":"function","title":"Examples - Omise.Customer.destroy/2","doc":"Omise.Customer.destroy(\"cust_test_4xtrb759599jsxlhkrb\")","ref":"Omise.Customer.html#destroy/2-examples"},{"type":"function","title":"Omise.Customer.destroy_card/3","doc":"Destroy a card.\n\nReturns `{:ok, card}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#destroy_card/3"},{"type":"function","title":"Examples - Omise.Customer.destroy_card/3","doc":"Omise.Customer.destroy_card(\"cust_test_520j6g67py52xa7qbu2\", \"card_test_520j6g4rxrmurw16b2d\")","ref":"Omise.Customer.html#destroy_card/3-examples"},{"type":"function","title":"Omise.Customer.list/2","doc":"List all customers.\n\nReturns `{:ok, customers}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Customer.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Customer.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Customer.list/2","doc":"Omise.Customer.list\n\n    Omise.Customer.list(limit: 5)","ref":"Omise.Customer.html#list/2-examples"},{"type":"function","title":"Omise.Customer.list_cards/3","doc":"List all cards that belongs to the customer.\n\nReturns `{:ok, cards}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#list_cards/3"},{"type":"function","title":"Query Parameters: - Omise.Customer.list_cards/3","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.\n  * `order` - (optional, default: chronological) The order of the list returned.","ref":"Omise.Customer.html#list_cards/3-query-parameters"},{"type":"function","title":"Examples - Omise.Customer.list_cards/3","doc":"Omise.Customer.list_cards(\"cust_test_520j6g67py52xa7qbu2\")","ref":"Omise.Customer.html#list_cards/3-examples"},{"type":"function","title":"Omise.Customer.list_schedules/3","doc":"List all charge schedules for a given customer.\n\nReturns `{:ok, schedules}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#list_schedules/3"},{"type":"function","title":"Query Parameters: - Omise.Customer.list_schedules/3","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Customer.html#list_schedules/3-query-parameters"},{"type":"function","title":"Examples - Omise.Customer.list_schedules/3","doc":"Omise.Customer.list_schedules(\"cust_test_520j6g67py52xa7qbu2\")","ref":"Omise.Customer.html#list_schedules/3-examples"},{"type":"function","title":"Omise.Customer.retrieve/2","doc":"Retrieve a customer.\n\nReturns `{:ok, customer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Customer.retrieve/2","doc":"Omise.Customer.retrieve(\"cust_test_4xtrb759599jsxlhkrb\")","ref":"Omise.Customer.html#retrieve/2-examples"},{"type":"function","title":"Omise.Customer.retrieve_card/3","doc":"Retrieve a card.\n\nReturns `{:ok, card}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#retrieve_card/3"},{"type":"function","title":"Examples - Omise.Customer.retrieve_card/3","doc":"Omise.Customer.retrieve_card(\"cust_test_520j6g67py52xa7qbu2\", \"card_test_520j6g4rxrmurw16b2d\")","ref":"Omise.Customer.html#retrieve_card/3-examples"},{"type":"function","title":"Omise.Customer.search/2","doc":"Search all the customers.\n\nReturns `{:ok, customers}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#search/2"},{"type":"function","title":"Query Parameters: - Omise.Customer.search/2","doc":"","ref":"Omise.Customer.html#search/2-query-parameters"},{"type":"function","title":"Examples - Omise.Customer.search/2","doc":"Omise.Customer.search(filters: [created: \"2016-09-09\"])\n\n    Omise.Customer.search(query: \"eleven@omise.co\")","ref":"Omise.Customer.html#search/2-examples"},{"type":"function","title":"Omise.Customer.update/3","doc":"Update a customer.\n\nReturns `{:ok, customer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#update/3"},{"type":"function","title":"Request Parameters: - Omise.Customer.update/3","doc":"* `email` - (optional) Customer's email.\n  * `description` - (optional) A custom description for the customer.\n  * `card` - (optional) A card token in case you want to add a card to the customer.","ref":"Omise.Customer.html#update/3-request-parameters"},{"type":"function","title":"Examples - Omise.Customer.update/3","doc":"# Update email and description.\n    Omise.Customer.update(\"cust_test_51yerhn3ghztgv31n4p\",\n      email: \"edward@omise.co\",\n      description: \"Home is when I’m alone with you\"\n    )\n\n    # Attach a card to a customer.\n    Omise.Customer.update(\"cust_test_4xtrb759599jsxlhkrb\",\n      card: \"tokn_test_4xs9408a642a1htto8z\"\n    )","ref":"Omise.Customer.html#update/3-examples"},{"type":"function","title":"Omise.Customer.update_card/4","doc":"Update a card.\n\nReturns `{:ok, card}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Customer.html#update_card/4"},{"type":"function","title":"Request Parameters: - Omise.Customer.update_card/4","doc":"* `name` - (optional) The cardholder name as printed on the card.\n  * `expiration_month` - (optional) The expiration month printed on the card.\n  * `expiration_year` - (optional) The expiration year printed on the card in the format YYYY.\n  * `postal_code` - (optional) The postal code from the city where the card was issued.\n  * `city` - (optional) The city where the card was issued.","ref":"Omise.Customer.html#update_card/4-request-parameters"},{"type":"function","title":"Examples - Omise.Customer.update_card/4","doc":"params = [expiration_month: 12, city: \"Bangkok\"]\n    Omise.Customer.update_card(\"cust_test_520j6g67py52xa7qbu2\", \"card_test_520j6g4rxrmurw16b2d\", params)","ref":"Omise.Customer.html#update_card/4-examples"},{"type":"type","title":"Omise.Customer.t/0","doc":"","ref":"Omise.Customer.html#t:t/0"},{"type":"module","title":"Omise.Dispute","doc":"Provides Dispute API interfaces.","ref":"Omise.Dispute.html"},{"type":"function","title":"Omise.Dispute.destroy_document/3","doc":"Destroy a document.\n\nReturns `{:ok, document}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#destroy_document/3"},{"type":"function","title":"Examples - Omise.Dispute.destroy_document/3","doc":"Omise.Dispute.destroy_document(\"dspt_test_4zgf15h89w8t775kcm8\", \"docu_test_55alwcu1phxmsxx3y9p\")","ref":"Omise.Dispute.html#destroy_document/3-examples"},{"type":"function","title":"Omise.Dispute.list/2","doc":"List all disputes.\n\nReturns `{:ok, disputes}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Dispute.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Dispute.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Dispute.list/2","doc":"# List all disputes\n    Omise.Dispute.list\n\n    # List all open disputes\n    Omise.Dispute.list(status: \"open\")\n\n    # List all pending disputes\n    Omise.Dispute.list(status: \"pending\")\n\n    # List all closed disputes\n    Omise.Dispute.list(status: \"closed\")","ref":"Omise.Dispute.html#list/2-examples"},{"type":"function","title":"Omise.Dispute.list_documents/3","doc":"List all dispute documents.\n\nReturns `{:ok, documents}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#list_documents/3"},{"type":"function","title":"Examples - Omise.Dispute.list_documents/3","doc":"Omise.Dispute.list_documents(\"dspt_5089off452g5m5te7xs\")","ref":"Omise.Dispute.html#list_documents/3-examples"},{"type":"function","title":"Omise.Dispute.retrieve/2","doc":"Retrieve a dispute.\n\nReturns `{:ok, dispute}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Dispute.retrieve/2","doc":"Omise.Dispute.retrieve(\"dspt_test_51yfnnpsxajeybpytm4\")","ref":"Omise.Dispute.html#retrieve/2-examples"},{"type":"function","title":"Omise.Dispute.retrieve_document/3","doc":"Retrieve a dispute document.\n\nReturns `{:ok, document}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#retrieve_document/3"},{"type":"function","title":"Examples - Omise.Dispute.retrieve_document/3","doc":"Omise.Dispute.retrieve_document(\"dspt_test_55aj9q9iipt3tcdwb5r\", \"docu_test_55alwcu1phxmsxx3y9p\")","ref":"Omise.Dispute.html#retrieve_document/3-examples"},{"type":"function","title":"Omise.Dispute.search/2","doc":"Search all the disputes.\n\nReturns `{:ok, disputes}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Dispute.html#search/2"},{"type":"function","title":"Query Parameters: - Omise.Dispute.search/2","doc":"","ref":"Omise.Dispute.html#search/2-query-parameters"},{"type":"function","title":"Examples - Omise.Dispute.search/2","doc":"Omise.Dispute.search(filters: [status: \"pending\"])\n\n    Omise.Dispute.search(query: \"dspt_5089off452g5m5te7xs\")","ref":"Omise.Dispute.html#search/2-examples"},{"type":"function","title":"Omise.Dispute.update/3","doc":"Update a dispute.\n\nReturns `{:ok, dispute}` if the request is successful, `{:error, error}` otherwise.\n\nRequest Parameter:\n  * `message` - The new dispute message.","ref":"Omise.Dispute.html#update/3"},{"type":"function","title":"Examples - Omise.Dispute.update/3","doc":"Omise.Dispute.update(\"dspt_test_4zgf15h89w8t775kcm8\", message: \"Shut up and dance with me!\")","ref":"Omise.Dispute.html#update/3-examples"},{"type":"function","title":"Omise.Dispute.upload_document/3","doc":"Upload a document.\n\nReturns `{:ok, document}` if the request is successful, `{:error, error}` otherwise.\n\nRequest Parameter:\n  * `file` - (required) The file to upload. Valid files include PNG and JPG images and PDF files. The uploaded file should also includes metadata such as filename and content type.","ref":"Omise.Dispute.html#upload_document/3"},{"type":"function","title":"Examples - Omise.Dispute.upload_document/3","doc":"Omise.Dispute.upload_document(\"dspt_test_4zgf15h89w8t775kcm8\", file: \"rick-and-morty.jpg\")","ref":"Omise.Dispute.html#upload_document/3-examples"},{"type":"type","title":"Omise.Dispute.t/0","doc":"","ref":"Omise.Dispute.html#t:t/0"},{"type":"module","title":"Omise.Document","doc":"Provides Document API interfaces.","ref":"Omise.Document.html"},{"type":"type","title":"Omise.Document.t/0","doc":"","ref":"Omise.Document.html#t:t/0"},{"type":"module","title":"Omise.Error","doc":"Omise Error Struct.","ref":"Omise.Error.html"},{"type":"type","title":"Omise.Error.t/0","doc":"","ref":"Omise.Error.html#t:t/0"},{"type":"module","title":"Omise.Event","doc":"Provides Event API interfaces.","ref":"Omise.Event.html"},{"type":"function","title":"Omise.Event.list/2","doc":"List all events.\n\nReturns `{:ok, events}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Event.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Event.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Event.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Event.list/2","doc":"Omise.Event.list\n\n    Omise.Event.list(limit: 10)","ref":"Omise.Event.html#list/2-examples"},{"type":"function","title":"Omise.Event.retrieve/2","doc":"Retrieve an event.\n\nReturns `{:ok, event}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Event.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Event.retrieve/2","doc":"Omise.Event.retrieve(\"evnt_test_5285sfiqfo8t32x6h5h\")","ref":"Omise.Event.html#retrieve/2-examples"},{"type":"type","title":"Omise.Event.t/0","doc":"","ref":"Omise.Event.html#t:t/0"},{"type":"module","title":"Omise.Forex","doc":"Provides Forex API interfaces.","ref":"Omise.Forex.html"},{"type":"function","title":"Omise.Forex.retrieve/2","doc":"Retrieve the forex.\n\nReturns `{:ok, forex}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Forex.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Forex.retrieve/2","doc":"Omise.Forex.retrieve(\"usd\")\n\n    Omise.Forex.retrieve(\"jpy\")\n\n    Omise.Forex.retrieve(\"sgd\")","ref":"Omise.Forex.html#retrieve/2-examples"},{"type":"type","title":"Omise.Forex.t/0","doc":"","ref":"Omise.Forex.html#t:t/0"},{"type":"module","title":"Omise.Json","doc":"","ref":"Omise.Json.html"},{"type":"function","title":"Omise.Json.decode/2","doc":"","ref":"Omise.Json.html#decode/2"},{"type":"function","title":"Omise.Json.encode/1","doc":"","ref":"Omise.Json.html#encode/1"},{"type":"module","title":"Omise.Json.Decoder","doc":"","ref":"Omise.Json.Decoder.html"},{"type":"function","title":"Omise.Json.Decoder.decode/2","doc":"","ref":"Omise.Json.Decoder.html#decode/2"},{"type":"function","title":"Omise.Json.Decoder.transform_decoded_data/2","doc":"","ref":"Omise.Json.Decoder.html#transform_decoded_data/2"},{"type":"module","title":"Omise.Json.Encoder","doc":"","ref":"Omise.Json.Encoder.html"},{"type":"function","title":"Omise.Json.Encoder.encode/1","doc":"","ref":"Omise.Json.Encoder.html#encode/1"},{"type":"protocol","title":"Omise.Json.StructTransformer","doc":"","ref":"Omise.Json.StructTransformer.html"},{"type":"function","title":"Omise.Json.StructTransformer.transform/1","doc":"","ref":"Omise.Json.StructTransformer.html#transform/1"},{"type":"type","title":"Omise.Json.StructTransformer.t/0","doc":"All the types that implement this protocol.","ref":"Omise.Json.StructTransformer.html#t:t/0"},{"type":"module","title":"Omise.Link","doc":"Provides Link API interfaces.","ref":"Omise.Link.html"},{"type":"function","title":"Omise.Link.create/2","doc":"Create a link.\n\nReturns `{:ok, link}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Link.html#create/2"},{"type":"function","title":"Examples - Omise.Link.create/2","doc":"# For one time use\n    Omise.Link.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      title: \"Awesome Elixir\",\n      description: \"This book will teach you about Elixir Programming Language\"\n    )\n\n    # For multiple time use\n    Omise.Link.create(\n      amount: 1000_00,\n      currency: \"thb\",\n      title: \"Awesome Elixir\",\n      description: \"This book will teach you about Elixir Programming Language\"\n      multiple: true\n    )","ref":"Omise.Link.html#create/2-examples"},{"type":"function","title":"Omise.Link.list/2","doc":"List all links.\n\nReturns `{:ok, links}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Link.html#list/2"},{"type":"function","title":"Examples - Omise.Link.list/2","doc":"Omise.Link.list\n\n    Omise.Link.list(limit: 10, order: \"reverse_chronological\")","ref":"Omise.Link.html#list/2-examples"},{"type":"function","title":"Omise.Link.retrieve/2","doc":"Retrieve a link.","ref":"Omise.Link.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Link.retrieve/2","doc":"Omise.Link.retrieve(\"link_test_55s7oubg54yln9ey2h4\")","ref":"Omise.Link.html#retrieve/2-examples"},{"type":"type","title":"Omise.Link.t/0","doc":"","ref":"Omise.Link.html#t:t/0"},{"type":"module","title":"Omise.List","doc":"Omise List Struct.","ref":"Omise.List.html"},{"type":"type","title":"Omise.List.t/0","doc":"","ref":"Omise.List.html#t:t/0"},{"type":"module","title":"Omise.Occurrence","doc":"Provides Occurrence API interfaces.","ref":"Omise.Occurrence.html"},{"type":"function","title":"Omise.Occurrence.retrieve/2","doc":"Retrieve an occurrence.","ref":"Omise.Occurrence.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Occurrence.retrieve/2","doc":"Omise.Occurrence.retrieve(\"occu_test_584yqgivyi2p1g828pl\")","ref":"Omise.Occurrence.html#retrieve/2-examples"},{"type":"type","title":"Omise.Occurrence.t/0","doc":"","ref":"Omise.Occurrence.html#t:t/0"},{"type":"module","title":"Omise.PaymentMethod","doc":"Provides Barcode API interfaces.","ref":"Omise.PaymentMethod.html"},{"type":"type","title":"Omise.PaymentMethod.t/0","doc":"","ref":"Omise.PaymentMethod.html#t:t/0"},{"type":"module","title":"Omise.Receipt","doc":"Provides Receipt API interfaces.","ref":"Omise.Receipt.html"},{"type":"function","title":"Omise.Receipt.list/2","doc":"List all receipts.\n\nReturns `{:ok, receipts}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Receipt.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Receipt.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Receipt.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Receipt.list/2","doc":"Omise.Receipt.list\n\n    Omise.Receipt.list(limit: 5)","ref":"Omise.Receipt.html#list/2-examples"},{"type":"function","title":"Omise.Receipt.retrieve/2","doc":"Retrieve a receipt.\n\nReturns `{:ok, receipt}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Receipt.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Receipt.retrieve/2","doc":"Omise.Receipt.retrieve(\"rcpt_test_4z6p7e0m4k40txecj5o\")","ref":"Omise.Receipt.html#retrieve/2-examples"},{"type":"type","title":"Omise.Receipt.t/0","doc":"","ref":"Omise.Receipt.html#t:t/0"},{"type":"module","title":"Omise.Recipient","doc":"Provides Recipient API interfaces.","ref":"Omise.Recipient.html"},{"type":"function","title":"Omise.Recipient.create/2","doc":"Create a recipient.\n\nReturns `{:ok, recipient}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Recipient.create/2","doc":"* `name` - The recipient's name.\n  * `email` - (optional) The recipient's email.\n  * `description` - (optional) The recipient's description.\n  * `type` - Either individual or corporation.\n  * `tax_id` - (optional) The recipient's tax id.\n  * `bank_account` - A valid bank account.","ref":"Omise.Recipient.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Recipient.create/2","doc":"params = [\n      name: \"Nanna\",\n      email: \"anna@omise.co\",\n      description: \"Though the truth may vary, this ship will carry our bodies safe to shore\",\n      type: \"individual\",\n      bank_account: [\n        brand: \"bbl\",\n        number: \"1234567890\",\n        name: \"Nanna\"\n      ]\n    ]\n\n    Omise.Recipient.create(params)","ref":"Omise.Recipient.html#create/2-examples"},{"type":"function","title":"Omise.Recipient.destroy/2","doc":"Destroy a recipient.\n\nReturns `{:ok, recipient}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#destroy/2"},{"type":"function","title":"Examples - Omise.Recipient.destroy/2","doc":"Omise.Recipient.destroy(\"recp_test_4z6p7e0m4k40txecj5o\")","ref":"Omise.Recipient.html#destroy/2-examples"},{"type":"function","title":"Omise.Recipient.list/2","doc":"List all recipients.\n\nReturns `{:ok, recipients}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Recipient.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Recipient.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Recipient.list/2","doc":"Omise.Recipient.list\n\n    Omise.Recipient.list(limit: 5)","ref":"Omise.Recipient.html#list/2-examples"},{"type":"function","title":"Omise.Recipient.list_schedules/3","doc":"List all transfer schedules for a given recipient.\n\nReturns `{:ok, schedules}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#list_schedules/3"},{"type":"function","title":"Query Parameters: - Omise.Recipient.list_schedules/3","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Recipient.html#list_schedules/3-query-parameters"},{"type":"function","title":"Examples - Omise.Recipient.list_schedules/3","doc":"Omise.Recipient.list_schedules(\"recp_test_556jkf7u174ptxuytac\")","ref":"Omise.Recipient.html#list_schedules/3-examples"},{"type":"function","title":"Omise.Recipient.retrieve/2","doc":"Retrieve a recipient.\n\nReturns `{:ok, recipient}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Recipient.retrieve/2","doc":"Omise.Recipient.retrieve(\"recp_test_4z6p7e0m4k40txecj5o\")","ref":"Omise.Recipient.html#retrieve/2-examples"},{"type":"function","title":"Omise.Recipient.search/2","doc":"Search all the recipients.\n\nReturns `{:ok, recipients}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#search/2"},{"type":"function","title":"Query Parameters: - Omise.Recipient.search/2","doc":"","ref":"Omise.Recipient.html#search/2-query-parameters"},{"type":"function","title":"Examples - Omise.Recipient.search/2","doc":"Omise.Recipient.search(filters: [kind: \"individual\"])\n\n    Omise.Recipient.search(query: \"recp_235k46kl6ljl\")","ref":"Omise.Recipient.html#search/2-examples"},{"type":"function","title":"Omise.Recipient.update/3","doc":"Update a recipient.\n\nReturns `{:ok, recipient}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Recipient.html#update/3"},{"type":"function","title":"Request Parameters: - Omise.Recipient.update/3","doc":"* `name` - The recipient's name.\n  * `email` - (optional) The recipient's email.\n  * `description` - (optional) The recipient's description.\n  * `type` - Either individual or corporation.\n  * `tax_id` - (optional) The recipient's tax id.\n  * `bank_account` - A valid bank account.","ref":"Omise.Recipient.html#update/3-request-parameters"},{"type":"function","title":"Examples - Omise.Recipient.update/3","doc":"params = [\n      name: \"Emma Stone\",\n      email: \"emma@omise.co\",\n      bank_account: [\n        brand: \"kbank\",\n        name: \"Emma Stone\"\n      ]\n    ]\n\n    Omise.Recipient.update(\"recp_test_4z6p7e0m4k40txecj5oparams\", params)","ref":"Omise.Recipient.html#update/3-examples"},{"type":"type","title":"Omise.Recipient.t/0","doc":"","ref":"Omise.Recipient.html#t:t/0"},{"type":"module","title":"Omise.Reference","doc":"Provides Reference API interfaces.","ref":"Omise.Reference.html"},{"type":"type","title":"Omise.Reference.t/0","doc":"","ref":"Omise.Reference.html#t:t/0"},{"type":"module","title":"Omise.Refund","doc":"Provides Refunds API interfaces.","ref":"Omise.Refund.html"},{"type":"function","title":"Omise.Refund.list/2","doc":"List all refunds.\n\nReturns `{:ok, refunds}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Refund.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Refund.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Refund.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Refund.list/2","doc":"Omise.Refund.list","ref":"Omise.Refund.html#list/2-examples"},{"type":"type","title":"Omise.Refund.t/0","doc":"","ref":"Omise.Refund.html#t:t/0"},{"type":"module","title":"Omise.Schedule","doc":"Provides Schedule API interfaces.","ref":"Omise.Schedule.html"},{"type":"function","title":"Omise.Schedule.create/2","doc":"Create a schedule.\n\nReturns `{:ok, schedule}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Schedule.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Schedule.create/2","doc":"* `every` - How often the schedule runs. E.g.: Every `3` weeks.\n  * `period` - `day`, `week` or `month`. E.g.: Every 3 `week`s.\n  * `on` - This hash keys depend on the period.\n  * `start_date` - (optional) When the schedule should start, in ISO 8601 format (YYYY-MM-DD). Defaults to today.\n  * `end_date` - When the schedule should end, in ISO 8601 format (YYYY-MM-DD).\n  * `capture` - (optional) Whether or not you want the charge to be captured right away, when not specified it is set to true.\n  * `charge` - A charge map. (for charge schedule)\n  * `transfer` - A transfer map. (for transfer schedule)","ref":"Omise.Schedule.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Schedule.create/2","doc":"# Charge a specific customer card every 2 days\n    Omise.Schedule.create(\n      every: 2,\n      period: \"day\",\n      start_date: \"2017-06-5\",\n      end_date: \"2018-05-01\",\n      charge: [\n        customer: \"cust_test_55c6cjwyr9kl4rt4jso\",\n        amount: 199_00,\n        description: \"Membership fee\",\n      ]\n    )\n\n    # Charge every Monday and Friday\n    Omise.Schedule.create(\n      every: 1,\n      period: \"week\",\n      on: [\n        weekdays: [\"monday\", \"friday\"]\n      ],\n      start_date: \"2017-06-5\",\n      end_date: \"2018-05-01\",\n      charge: [\n        customer: \"cust_test_55c6cjwyr9kl4rt4jso\",\n        amount: 199_00,\n        description: \"Membership fee\",\n      ]\n    )\n\n    # Charge on the 1st, 10th and 15th every 3 months\n    Omise.Schedule.create(\n      every: 3,\n      period: \"month\",\n      on: [\n        days_of_month: [1, 10, 15]\n      ],\n      start_date: \"2017-06-5\",\n      end_date: \"2018-05-01\",\n      charge: [\n        customer: \"cust_test_55c6cjwyr9kl4rt4jso\",\n        amount: 199_00,\n        description: \"Membership fee\",\n      ]\n    )\n\n    # Charge on the 2nd Monday every month\n    Omise.Schedule.create(\n      every: 1,\n      period: \"month\",\n      on: [\n        weekday_of_month: \"second_monday\"\n      ],\n      start_date: \"2017-06-5\",\n      end_date: \"2018-05-01\",\n      charge: [\n        customer: \"cust_test_55c6cjwyr9kl4rt4jso\",\n        amount: 199_00,\n        description: \"Membership fee\",\n      ]\n    )\n\n    # Transfer a fixed amount every 2 days\n    Omise.Schedule.create(\n      every: 2,\n      period: \"day\",\n      start_date: \"2017-07-8\",\n      end_date: \"2017-07-31\",\n      transfer: [\n        recipient: \"recp_test_55j2an6c8fd07xbccd3\",\n        amount: 100_00_00,\n      ]\n    )\n\n    # Transfer a percentage of the balance every Monday and Friday\n    Omise.Schedule.create(\n      every: 1,\n      period: \"week\",\n      on: [\n        weekdays: [\"monday\", \"friday\"],\n      ],\n      start_date: \"2017-07-8\",\n      end_date: \"2017-07-31\",\n      transfer: [\n        recipient: \"recp_test_556jkf7u174ptxuytac\",\n        percentage_of_balance: 75,\n      ]\n    )","ref":"Omise.Schedule.html#create/2-examples"},{"type":"function","title":"Omise.Schedule.destroy/2","doc":"Destroy a schedule.\n\nReturns `{:ok, schedule}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Schedule.html#destroy/2"},{"type":"function","title":"Examples - Omise.Schedule.destroy/2","doc":"Omise.Schedule.destroy(\"schd_test_584yqgiuavbzrfng7mv\")","ref":"Omise.Schedule.html#destroy/2-examples"},{"type":"function","title":"Omise.Schedule.list/2","doc":"List all schedules.\n\nReturns `{:ok, schedules}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Schedule.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Schedule.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Schedule.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Schedule.list/2","doc":"Omise.Schedule.list(limit: 10)","ref":"Omise.Schedule.html#list/2-examples"},{"type":"function","title":"Omise.Schedule.list_occurrences/3","doc":"List all occurrences of a schedule.\n\nReturns `{:ok, occurrences}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Schedule.html#list_occurrences/3"},{"type":"function","title":"Query Parameters: - Omise.Schedule.list_occurrences/3","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Schedule.html#list_occurrences/3-query-parameters"},{"type":"function","title":"Examples - Omise.Schedule.list_occurrences/3","doc":"Omise.Schedule.list_occurrences(\"schd_test_584yqgiuavbzrfng7mv\")","ref":"Omise.Schedule.html#list_occurrences/3-examples"},{"type":"function","title":"Omise.Schedule.retrieve/2","doc":"Retrieve a schedule.","ref":"Omise.Schedule.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Schedule.retrieve/2","doc":"Omise.Schedule.retrieve(\"schd_test_5850ga4l8a6r6bgj4oj\")","ref":"Omise.Schedule.html#retrieve/2-examples"},{"type":"type","title":"Omise.Schedule.t/0","doc":"","ref":"Omise.Schedule.html#t:t/0"},{"type":"module","title":"Omise.Search","doc":"Provides Search API interfaces.","ref":"Omise.Search.html"},{"type":"function","title":"Omise.Search.execute/3","doc":"Retrieve a search data.","ref":"Omise.Search.html#execute/3"},{"type":"function","title":"Query Parameters: - Omise.Search.execute/3","doc":"* `order` - (optional, default: chronological) The order of the list returned. I.e.: chronological (from earliest to latest), reverse_chronological (from latest to earliest).\n  * `scope` - A scope you are searching for I.e. charge, dispute, recipient, and customer.\n  * `query` - Searching text within the scope, see more in availble search fields.\n  * `filters` - Searching text with specific key within the scope, see more in list of filter keys.\n  * `page` - (optional, default: 1) Specific number of searching page.","ref":"Omise.Search.html#execute/3-query-parameters"},{"type":"function","title":"Examples - Omise.Search.execute/3","doc":"Omise.Search.execute(\"charge\",\n      order: \"reverse_chronological\",\n      query: \"Elixir\",\n      filters: [captured: true, amount: 1000]\n    )\n\n    Omise.Search.execute(\"customer\",\n      query: \"Elm\",\n      filters: [created: \"2016-03-15\"]\n    )","ref":"Omise.Search.html#execute/3-examples"},{"type":"type","title":"Omise.Search.t/0","doc":"","ref":"Omise.Search.html#t:t/0"},{"type":"module","title":"Omise.Source","doc":"Provides Source API interfaces.","ref":"Omise.Source.html"},{"type":"function","title":"Omise.Source.create/2","doc":"Create a source.\n\nReturns `{:ok, source}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Source.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Source.create/2","doc":"* `type` - (required) The source payment type. See attribute section above for the available types.\n  * `amount` - (required) The amount in the smallest subunits of the currency used.\n  * `currency` - (required) The currency in which you want the payment to be done.","ref":"Omise.Source.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Source.create/2","doc":"# Create with default secret key.\n    Omise.Source.create(\n      type: \"bill_payment_tesco_lotus\",\n      amount: 1000_00,\n      currency: \"thb\"\n    )\n\n    # Create with custom public/secret key.\n    Omise.Source.create(\n      [\n        type: \"bill_payment_tesco_lotus\",\n        amount: 1000_00,\n        currency: \"thb\"\n      ],\n      key: \"pkey_xxx\"\n    )","ref":"Omise.Source.html#create/2-examples"},{"type":"function","title":"Omise.Source.retrieve/2","doc":"Retrieve a source.","ref":"Omise.Source.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Source.retrieve/2","doc":"Omise.Source.retrieve(\"src_test_5mkp04d53l2k1vtzmdi\")","ref":"Omise.Source.html#retrieve/2-examples"},{"type":"type","title":"Omise.Source.t/0","doc":"","ref":"Omise.Source.html#t:t/0"},{"type":"module","title":"Omise.Token","doc":"Provides Token API interfaces.\n\n \n\n***NOTE***:\nFull Credit Card data should never go through your server.\nDo not send the credit card data to Omise from your servers directly.\nYou must send the card data from the client browser via Javascript (Omise-JS).\nThe methods described on this page should only be used either with fake data in test mode (e.g.: quickly creating some fake data, testing our API from a terminal, etc.), or if you are PCI-DSS compliant.\nSending card data from server requires a valid PCI-DSS certification. You can learn more about this in [Security Best Practices](https://www.omise.co/security-best-practices)","ref":"Omise.Token.html"},{"type":"function","title":"Omise.Token.create/2","doc":"Create a token.\n\nReturns `{:ok, token}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Token.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Token.create/2","doc":"* `name` - The cardholder name as printed on the card.\n  * `number` - The card number. Note that the number you pass can contains spaces and dashes but will be stripped from the response.\n  * `expiration_month` - The expiration month printed on the card in the format M or MM.\n  * `expiration_year` - The expiration year printed on the card in the format YYYY.\n  * `security_code` - The security code (CVV, CVC, etc) printed on the back of the card.\n  * `city` - The postal code from the city where the card was issued.\n  * `postal_code` - The city where the card was issued.","ref":"Omise.Token.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Token.create/2","doc":"params = [\n      card: [\n        name: \"John Doe\",\n        city: \"Bangkok\",\n        postal_code: 10320,\n        number: 4242424242424242,\n        security_code: 123,\n        expiration_month: 10,\n        expiration_year: 2019\n      ]\n    ]\n\n    Omise.Token.create(params)","ref":"Omise.Token.html#create/2-examples"},{"type":"function","title":"Omise.Token.retrieve/2","doc":"\b\bRetrieve a token.\n\nReturns `{:ok, token}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Token.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Token.retrieve/2","doc":"Omise.Token.retrieve(\"tokn_test_4xs9408a642a1htto8z\")","ref":"Omise.Token.html#retrieve/2-examples"},{"type":"type","title":"Omise.Token.t/0","doc":"","ref":"Omise.Token.html#t:t/0"},{"type":"module","title":"Omise.Transaction","doc":"Provides Transaction API interfaces.","ref":"Omise.Transaction.html"},{"type":"function","title":"Omise.Transaction.list/2","doc":"List all transactions.\n\nReturns `{:ok, transactions}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transaction.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Transaction.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Transaction.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Transaction.list/2","doc":"Omise.Transaction.list\n\n    Omise.Transaction.list(limit: 5)","ref":"Omise.Transaction.html#list/2-examples"},{"type":"function","title":"Omise.Transaction.retrieve/2","doc":"Retrieve a transaction.\n\nReturns `{:ok, transaction}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transaction.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Transaction.retrieve/2","doc":"Omise.Transaction.retrieve(\"trxn_test_51yg3xs2yggzsfbai3e\")","ref":"Omise.Transaction.html#retrieve/2-examples"},{"type":"type","title":"Omise.Transaction.t/0","doc":"","ref":"Omise.Transaction.html#t:t/0"},{"type":"module","title":"Omise.Transfer","doc":"Provides Transfers API interfaces.","ref":"Omise.Transfer.html"},{"type":"function","title":"Omise.Transfer.create/2","doc":"Create a transfer.\n\nReturns `{:ok, transfer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#create/2"},{"type":"function","title":"Request Parameters: - Omise.Transfer.create/2","doc":"* `amount` - The amount in the smallest subunits of the currency used. So for thb (Thai Baht) you'll need to pass the amount in satangs.\n  * `recipient` - The recipient id.","ref":"Omise.Transfer.html#create/2-request-parameters"},{"type":"function","title":"Examples - Omise.Transfer.create/2","doc":"# Create a transfer to a default recipient\n    Omise.Transfer.create(amount: 1000_00)\n\n    # Create a transfer to a third-party recipient\n    Omise.Transfer.create(\n      amount: 1000_00,\n      recipient: \"recp_test_4z3wur7amjq2nbg8x44\"\n    )","ref":"Omise.Transfer.html#create/2-examples"},{"type":"function","title":"Omise.Transfer.destroy/2","doc":"Destroy a transfer.\n\nReturns `{:ok, transfer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#destroy/2"},{"type":"function","title":"Examples - Omise.Transfer.destroy/2","doc":"Omise.Transfer.destroy(\"trsf_test_5086uxn23hfaxv8nl0f\")","ref":"Omise.Transfer.html#destroy/2-examples"},{"type":"function","title":"Omise.Transfer.list/2","doc":"List all transfers.\n\nReturns `{:ok, transfers}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#list/2"},{"type":"function","title":"Query Parameters: - Omise.Transfer.list/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Transfer.html#list/2-query-parameters"},{"type":"function","title":"Examples - Omise.Transfer.list/2","doc":"Omise.Transfer.list\n\n    Omise.Transfer.list(limit: 5)","ref":"Omise.Transfer.html#list/2-examples"},{"type":"function","title":"Omise.Transfer.list_schedules/2","doc":"List all transfer schedules.\n\nReturns `{:ok, schedules}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#list_schedules/2"},{"type":"function","title":"Query Parameters: - Omise.Transfer.list_schedules/2","doc":"* `offset` - (optional, default: 0) The offset of the first record returned.\n  * `limit` - (optional, default: 20, maximum: 100) The maximum amount of records returned.\n  * `from` - (optional, default: 1970-01-01T00:00:00Z, format: ISO 8601) The UTC date and time limiting the beginning of returned records.\n  * `to` - (optional, default: current UTC Datetime, format: ISO 8601) The UTC date and time limiting the end of returned records.","ref":"Omise.Transfer.html#list_schedules/2-query-parameters"},{"type":"function","title":"Examples - Omise.Transfer.list_schedules/2","doc":"Omise.Transfer.list_schedules","ref":"Omise.Transfer.html#list_schedules/2-examples"},{"type":"function","title":"Omise.Transfer.retrieve/2","doc":"Retrieve a transfer.\n\nReturns `{:ok, transfer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#retrieve/2"},{"type":"function","title":"Examples - Omise.Transfer.retrieve/2","doc":"Omise.Transfer.retrieve(\"trsf_test_5086uxn23hfaxv8nl0f\")","ref":"Omise.Transfer.html#retrieve/2-examples"},{"type":"function","title":"Omise.Transfer.update/3","doc":"Update a transfer.\n\nReturns `{:ok, transfer}` if the request is successful, `{:error, error}` otherwise.","ref":"Omise.Transfer.html#update/3"},{"type":"function","title":"Request Parameters: - Omise.Transfer.update/3","doc":"* `amount` - The amount in the smallest subunits of the currency used.","ref":"Omise.Transfer.html#update/3-request-parameters"},{"type":"function","title":"Examples - Omise.Transfer.update/3","doc":"Omise.Transfer.update(\"trsf_test_5086uxn23hfaxv8nl0f\", amount: 500_00)","ref":"Omise.Transfer.html#update/3-examples"},{"type":"type","title":"Omise.Transfer.t/0","doc":"","ref":"Omise.Transfer.html#t:t/0"},{"type":"extras","title":"Omise Elixir Client","doc":"# Omise Elixir Client\n![Build Status](https://github.com/omise/omise-elixir/workflows/Elixir%20CI/badge.svg)\n[![Hex.pm](https://img.shields.io/hexpm/v/omise.svg?style=flat-square)](https://hex.pm/packages/omise)\n[![Coverage Status](https://coveralls.io/repos/github/omise/omise-elixir/badge.svg?branch=master)](https://coveralls.io/github/omise/omise-elixir?branch=master)\n\n**Omise for Elixir**","ref":"readme.html"},{"type":"extras","title":"Installation - Omise Elixir Client","doc":"First, add `omise` to your list of dependencies in `mix.exs`:\n\n  ```elixir\n  def deps do\n    [{:omise, \"~> 0.10.0\"}]\n  end\n  ```\n\n  Then update your dependencies with:\n\n  ```shell\n  $ mix deps.get\n  ```","ref":"readme.html#installation"},{"type":"extras","title":"Configuration - Omise Elixir Client","doc":"Set the following configuration variables in `config/config.exs` file:\n\n```elixir\nconfig :omise,\n  public_key: \"pkey_test_xxx\",\n  secret_key: \"skey_test_xxx\"\n```\n\nOr manually configure at runtime:\n\n```elixir\nOmise.configure(public_key: \"pkey_test_xxx\", secret_key: \"skey_test_xxx\")\n```\n\nTo configure the HTTP options, you could optionally add `:http_options` key to the omise configuration. For a full list of the available options, please check [HTTPoison documentation](https://github.com/edgurgel/httpoison).\n\n```elixir\nconfig :omise,\n  http_options: [timeout: 60_000, recv_timeout: 60_000]\n```","ref":"readme.html#configuration"},{"type":"extras","title":"Example - Omise Elixir Client","doc":"```elixir\ncharge_params = [amount: 100_00, currency: \"thb\", card: \"tokn_xxx\"]\n\nwith {:ok, %Omise.Charge{paid: true}}  \n    # handle failure\n\n  {:error, %Omise.Error{code: code, message: message}} ->\n    # handle error\nend\n```\n\nYou can also set a per-request key and api version when making an API call:\n\n```elixir\nOmise.Charge.list([], key: \"skey_test_xxx\", api_version: \"2015-11-17\")\n\nOmise.Charge.retrieve(\"chrg_test_4yq7duw15p9hdrjp8oq\", key: \"skey_test_xxx\")\n\nOmise.Charge.create([\n  amount: 1000_00,\n  currency: \"thb\",\n  customer: \"cust_test_xxx\"\n], key: \"skey_test_xxx\")\n```","ref":"readme.html#example"},{"type":"extras","title":"Development - Omise Elixir Client","doc":"- Install all dependencies with `mix deps.get`\n- Run tests with `mix test`","ref":"readme.html#development"},{"type":"extras","title":"Documentation - Omise Elixir Client","doc":"* http://hexdocs.pm/omise/","ref":"readme.html#documentation"}],"content_type":"text/markdown"}